void main( void )
{
 int &call;
 &call = random(3,1);
 if (&call == 1)
 {
  freeze(&current_sprite);
  say_stop("`3欢迎光临我们的书店。", &current_sprite);
  unfreeze(&current_sprite);
 }
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 say_stop("`3我能如何为您服务呢，先生？", &current_sprite);
 choice_start()
 "关于书店"
 "关于魔法"
 "下一个小镇"
 "了解下新闻"
 "离开"
 choice_end()
  if (&result == 1)
  {
   say_stop("你们这里卖什么呢？", 1);
   wait(250);
   say_stop("`3卖书的，你觉得呢？", &current_sprite);
   wait(250);
   say_stop("嗯....", 1);
   say_stop("记下了。", 1);
  }
  if (&result == 2)
  {
   say_stop("你们有没有魔法书啊？", 1);
   wait(250);
   say_stop("`3魔法？根本没这样的东西嘛。", &current_sprite);
   wait(250);
   say_stop("哦，这样啊，谢谢了。", 1);
  }
  if (&result == 3)
  {
   if (&mayor >= 6)
   {
    say_stop("有没有听说些关于别的镇的情况？", 1);
    wait(250);
    say_stop("`3嘿，确实有，今天早上有人经过，", &current_sprite);
    say_stop("`3他说那边的桥修好了，你可以过去看看。", &current_sprite);
    wait(250);
    say_stop("知道了，多谢。", 1);
    unfreeze(1);
    wait(1000);
    unfreeze(&current_sprite);
    return;
   }
   say_stop("推荐些有趣的城镇吧？", 1);
   wait(250);
   say_stop("`3Terris 东面有个蛮有意思的小镇。", &current_sprite);
   wait(250);
   say_stop("`3不过听说通过那里的桥断了。", &current_sprite);
   wait(250);
   say_stop("`3要是再听到什么我再告诉你。", &current_sprite);
  }
  if (&result == 4)
  {
   say_stop("那这里发生了些什么事没？", 1);
   wait(250);
   if (&mayor >= 6)
   {
    say_stop("`3哈哈，那你应该知道的，大英雄！多亏了你，", &current_sprite);
    wait(250);
    say_stop("`3市长跟我说是你拯救了我们大家。", &current_sprite);
    wait(250);
    say_stop("啊，哈哈，他有点夸张吧，", 1);
    wait(250);
    say_stop("不过确实，那好像也确实是我一个人干的。", 1);
    wait(250);
    say_stop("`3你现在很受欢迎啊，", &current_sprite);
    wait(250);
    say_stop("`3就连市长的女儿也在谈论你呢。", &current_sprite);
    wait(250);
    say_stop("Christina，真的吗？？！！她说什么了？", 1);
    wait(250);
    say_stop("`3哦，我不是很清楚，我没靠得很近啦，", &current_sprite);
    wait(250);
    say_stop("`3就是有几次见到她眉飞色舞地提到你的名字。", &current_sprite);
    wait(250);
    say_stop("啊哈", 1);
    sp_dir(1, 2);
    say_stop("我现在也酷了！", 1);
    unfreeze(1);
    unfreeze(&current_sprite);
    return;
   }
    say_stop("`3没什么啦，这里很宁静的，", &current_sprite);
    wait(250);
    say_stop("`3大家都在期待将要来临的大游行。", &current_sprite);
    wait(250);
    say_stop("哦。", 1);
    unfreeze(1);
    unfreeze(&current_sprite);
    return;


  }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 freeze(&current_sprite);
 say_stop("`3呀，请不要欺负我了先生...", &current_sprite);
 unfreeze(&current_sprite);
}
